<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //部门管理
    function dp_edit(id) {
        window.location.href = '/company/dp-index?company_id=' + id;
    }
    //编辑
    function edit(id) {
        window.location.href = '/company/edit?id=' + id;
    }
    //删除
    function del(id) {
        if(confirm('是否确认删除?')) {
            $.post('/company/delete',{id:id},function(obj){
                alert(obj.msg);
                if(obj.success) {
                    window.location.reload();
                }
            },'json');
        }
    }
    $(function(){
        $("#search-btn").click(function(){
            var params = $('#searchForm').serialize();
            window.location.href = "/company/index?" + params;
        });
        $('#add-btn').click(function(){
            edit(0);
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <tr>
            <td class="td_bg">
                公司名称：<input name="name" type="text" value="<?=$name?>">
                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
                <input type="button" class="act_btn" id="add-btn" name="add-btn" value="添加">
            </td>
        </tr>
    </form>
</table>
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="50" align="center" align="center" class="bg_tr" nowrap>排序</td>
        <td width="80%" align="center" align="center" class="bg_tr">公司名称</td>
        <td width="30" align="center" class="bg_tr">操作</td>
    </tr>
    <?php
    foreach($items as $index => $item) {
        ?>
        <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
            <td align="center" class="td_bg" nowrap><?=$index+1?></td>
            <td align="left" class="td_bg" nowrap><?=$item->name?></td>
            <td align="center" class="td_bg" nowrap>
                [<a href="javascript:void(0);" onclick="dp_edit(<?=$item->id?>)">部门管理</a>]
                [<a href="javascript:void(0);" onclick="edit(<?=$item->id?>)">修改</a>]
                [<a href="javascript:void(0);" onclick="del(<?=$item->id?>)">删除</a>]
            </td>
        </tr>
        <?php
    }
    ?>
</table>
